Subiject: Optional arguments are not supported

Description

The ProviderViewHelper registers all controller actions which are annotated with @extdirect. For correct handling within ExtJS, the
number of arguments for each action must be registered as well.

Now the problem is that the ProviderViewHelper just counts the number of arguments of a PHP method and uses this number as an
argument count for ExtJS. If, however, an argument is optional and the client side doesn't define that argument, the communication

between client and server through ExtDirect fails.

The solution, for now, is to just ignore optional arguments.

Associated revisions

Revision 92b61384 - 2010-08-23 15:49 - Robert Lemke

[~TASK] ExtJS: Added doc comments to a few methods. Added basic parameter check for transaction arguments.

[+BUGFIX] ExtJS (ExtDirect): Fixed a bug which resulted in a broken communication between client and server via ExtDirect if a shared action method
had optional arguments. Resolves #9279

[~TASK] FLOW3 (MVC): Cleaned up the code and documentation of the JsonView

[+FEATURE] FLOWS (Persistence): The base repository now only sets the repository's object type if it has not been defined before. By that it is
possible to define a custom object type in the property declaration of a concrete repository.

[+FEATURE] FLOWS (Property): The property mapper now supports creation and recreation of objects specified by a UUID in an identity array even if
they are just part of the overall source object / array to be mapped.

[+BUGFIX] FLOWS3 (Validation): Fixed a few failing tests of composite validators, caused by incorrect mock building.

Change-Id: lebe231298cc72fb3cb6c1c211484f3a601790b68

Revision ftbc78367 - 2010-08-23 16:18 - Robert Lemke

[+BUGFIX] ExtJS (ExtDirect): Fixed a bug which resulted in a broken communication between client and server via ExtDirect if a shared action method
had zero required arguments. Resolves #9323, relates to #9279

Change-Id: Ic2fffd5b2b72006c212ac73ae46819056624c540

History

#1 - 2010-08-12 17:00 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4956.
